WebSocket API

fco.cancel

Cancel a conditional order by fcoId. If rejected, the response carries error.code: "FCO_ERROR". Requires a signature.

Required scope: tradingws:fco:delete.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

bodyobjectrequired
idstringrequired
methodstringrequired
paramsobjectrequired
fcoIdstringrequired

Identifier of the conditional order to cancel.

codestring | nulloptional

OTP/transaction-verification code.

deviceIdstring | nulloptional

Identifier of the device submitting the request.

userAgentstring | nulloptional

Information about the browser/application sending the request.

signaturestringrequired

RSA+SHA256 signature (base64). Required.

timestampintegerrequired

Response Body

application/json

application/json

Sample Request

wscat -c wss://api.ssi.com.vn/ws/v3/trading -x '{
  "id": "req-0005",
  "method": "fco.cancel",
  "params": {
    "fcoId": "7528ac20-a340-4233-8bb7-a2379fc3c638"
  },
  "signature": "base64(RSA-SHA256(...))",
  "timestamp": 1755000004000
}'

Sample Response

{
  "id": "req-0005",
  "method": "fco.cancel",
  "status": 200,
  "result": {
    "fcoId": "7528ac20-a340-4233-8bb7-a2379fc3c638",
    "username": "123149"
  },
  "rateLimit": {
    "limit": 50,
    "remaining": 43,
    "resetMs": 820
  }
}